> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Affiliate

> Admin: get a single affiliate by ID.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/admin/affiliates/{affiliate_id}
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/affiliates/{affiliate_id}:
    get:
      tags:
        - admin:affiliates
      summary: Get Affiliate
      description: 'Admin: get a single affiliate by ID.'
      operationId: get_affiliate_api_v1_admin_affiliates__affiliate_id__get
      parameters:
        - name: affiliate_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Affiliate Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_AffiliateRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiResponse_AffiliateRead_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/AffiliateRead'
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[AffiliateRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AffiliateRead:
      properties:
        customer_id:
          type: string
          format: uuid
          title: Customer Id
        company:
          anyOf:
            - type: string
            - type: 'null'
          title: Company
        website:
          anyOf:
            - type: string
            - type: 'null'
          title: Website
        tracking_code:
          type: string
          title: Tracking Code
        commission:
          type: number
          title: Commission
          default: 0
        payment_method:
          type: string
          title: Payment Method
          default: bank_transfer
        paypal_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Paypal Email
        bank_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Bank Name
        bank_account:
          anyOf:
            - type: string
            - type: 'null'
          title: Bank Account
        is_active:
          type: boolean
          title: Is Active
          default: true
        id:
          type: string
          format: uuid
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - customer_id
        - tracking_code
        - id
        - created_at
      title: AffiliateRead
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````